curl --request GET \
--url https://api.plazbot.com/api/template \
--header 'Authorization: Bearer <token>' \
--header 'x-workspace-id: <x-workspace-id>'{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": [
{
"id": "<string>",
"workspaceId": "<string>",
"userId": "<string>",
"elementName": "<string>",
"internalWhatsappId": "<string>",
"languageCode": "<string>",
"category": "<string>",
"reference1": "<string>",
"templateType": "<string>",
"statusId": 123,
"creationDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"components": [
{
"type": "<string>",
"format": "<string>",
"text": "<string>",
"buttons": [
{
"type": "<string>",
"text": "<string>",
"phone_number": "<string>",
"url": "<string>",
"tagIds": [
"<string>"
],
"segmentationIds": [
"<string>"
],
"phaseIds": [
"<string>"
],
"agentIds": [
"<string>"
]
}
],
"variables": [
{
"variable": "<string>",
"example": "<string>"
}
]
}
]
}
]
}Servicio para obtener la lista de todas las plantillas de WhatsApp del workspace.
curl --request GET \
--url https://api.plazbot.com/api/template \
--header 'Authorization: Bearer <token>' \
--header 'x-workspace-id: <x-workspace-id>'{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": [
{
"id": "<string>",
"workspaceId": "<string>",
"userId": "<string>",
"elementName": "<string>",
"internalWhatsappId": "<string>",
"languageCode": "<string>",
"category": "<string>",
"reference1": "<string>",
"templateType": "<string>",
"statusId": 123,
"creationDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"components": [
{
"type": "<string>",
"format": "<string>",
"text": "<string>",
"buttons": [
{
"type": "<string>",
"text": "<string>",
"phone_number": "<string>",
"url": "<string>",
"tagIds": [
"<string>"
],
"segmentationIds": [
"<string>"
],
"phaseIds": [
"<string>"
],
"agentIds": [
"<string>"
]
}
],
"variables": [
{
"variable": "<string>",
"example": "<string>"
}
]
}
]
}
]
}Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Identificador del workspace
Identificador del workspace
Lista de plantillas obtenida exitosamente